%define upstream_name    CGI-Application-Plugin-RateLimit
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Limits runmode call rate per user
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Application)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Test::More)

BuildArch: noarch


%{?perl_default_filter}

%description
This module provides protection against a user calling a runmode too
frequently. A typical use-case might be a contact form that sends email.
You'd like to allow your users to send you messages, but thousands of
messages from a single user would be a problem.

This module works by maintaining a database of hits to protected runmodes.
It then checks this database to determine if a new hit should be allowed
based on past activity by the user. The user's identity is, by default,
tied to login (via REMOTE_USER) or IP address (via REMOTE_IP) if login info
is not available. You may provide your own identity function via the
identity_callback() method.

To use this module you must create a table in your database with the
following schema (using MySQL-syntax, although other DBs may work as well
with minor alterations):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/CGI


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-13.mga9
+ Revision: 1802260
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-12.mga8
+ Revision: 1493481
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-11.mga7
+ Revision: 1265992
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-10.mga6
+ Revision: 1023431
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-9.mga6
+ Revision: 936373
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-8.mga5
+ Revision: 744849
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-7.mga5
+ Revision: 732918
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 683634
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-5.mga4
+ Revision: 509404
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 363499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.0.0-3.mga1
+ Revision: 28384
- mageia rebuild
- cleaning spec file
- imported package perl-CGI-Application-Plugin-RateLimit


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-3mdv2010.1
+ Revision: 504597
- rebuild using %%perl_convert_version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.0-2mdv2010.0
+ Revision: 440537
- rebuild

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2009.1
+ Revision: 307092
- import perl-CGI-Application-Plugin-RateLimit


* Wed Nov 26 2008 cpan2dist 1.0-1mdv
- initial mdv release, generated with cpan2dist

